MONGOC_CLIENT_GET_DATABASE(3)

NAME
mongoc_client_get_database() - None

SYNOPSIS

mongoc_database_t *
mongoc_client_get_database (mongoc_client_t *client,
                            const char      *name);

Get a newly allocated mongoc_database_t for the database named name \&.

NOTE
    Databases are automatically created on the MongoDB server upon insertion of the first document into a collection. There is no need to create a database manually.

PARAMETERS

client
    A mongoc_client_t \&.

name
    The name of the database.

RETURNS

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.